Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control.classic
Class SoapFault

    java.lang.Object
      com.bea.control.classic.SoapFault

All Implemented Interfaces:
  Serializable

    public class SoapFault

extends Object
implements Serializable

Web service developers can use the SoapFault class to control the shape of the detail of SOAP fault data.

See Also:
  Serialized Form

Constructor Summary
`SoapFault(org.apache.xmlbeans.XmlObject fault)`

Method Summary
`org.xmlsoap.schemas.soap.envelope.Fault` | `get11Fault()`
`com.bea.xml.wsschema.soap12Env.Fault` | `get12Fault()`
`org.apache.xmlbeans.XmlObject` | `getDetail()` Returns the entire content of Detail element.
`org.apache.xmlbeans.XmlObject[]` | `getDetailContents()` Returns an array of XmlObjects that are the immediate children of the SOAP Fault Detail element.
`boolean` | `hasDetail()`
`boolean` | `isSoap11()`
`boolean` | `isSoap12()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoapFault

    public SoapFault(org.apache.xmlbeans.XmlObject fault)

Method Detail

### hasDetail

    public boolean hasDetail()

### getDetail

    public org.apache.xmlbeans.XmlObject getDetail()

  Returns the entire content of Detail element. Clients can use the XmlCursor API to extract complex content from the Detail, including attributes.

  Returns:
    the SOAP Fault Detail content

### getDetailContents

    public org.apache.xmlbeans.XmlObject[] getDetailContents()

  Returns an array of XmlObjects that are the immediate children of the SOAP Fault Detail element. If the schema for the elements has been compiled as XBeans, the XmlObjects can be casted to the Java type associated with the XML Schema type. If there are no immediate children, then an empty XmlObject array is returned.

  Returns:
    the immediate children of the SOAP Faul Detail element

### isSoap11

    public boolean isSoap11()

### isSoap12

    public boolean isSoap12()

### get11Fault

    public org.xmlsoap.schemas.soap.envelope.Fault get11Fault()

### get12Fault

    public com.bea.xml.wsschema.soap12Env.Fault get12Fault()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD